Get Account Mapping - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

/ v1 /account-mappings /{accountMappingId}

Get Account Mapping

cURL

curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



200

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "engagementId": "<string>",
  "account": "<string>",
  "accountDescription": "<string>",
  "code": "<string>",
  "usedByAnalysisSources": [
    "<string>"
  ],
  "fundId": "<string>",
  "accountTags": [
    "<string>"
  ]
}

Authorizations

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountMappingId

string

required

Response

200 - application/json

OK

id

string

The unique object identifier.

version

integer

The data integrity version, to ensure data consistency.

creationDate

string

The date that the object was originally created.

lastModifiedDate

string

The date that the object was last updated or modified.

createdUserInfo

User Info · object

read-only

Details about the user who created the object.

lastModifiedUserInfo

User Info · object

read-only

Details about the user who last modified or updated the object.

engagementId

string

Identifies the associated engagement.

account

string

The account name as provided in the source data.

accountDescription

string

The description of the account as provided in the source data.

code

string

The account grouping code mapped to this account.

status

enum

Indicates the current status of the account mapping.

Available options: MANUAL, MAC_CODE, MODIFIED_MAC, UNVERIFIED, VERIFIED, INFERRED, UNMAPPED, USED, UNUSED

usedByAnalysisSources

string[]

A list of analysis sources that use this account.

fundId

string

The fund that includes this account.

accountTags

string[]

A list of account tags associated with this account.